process.chdir(__dirname);

require('dotenv').config();

const fs = require('fs');
const config = require('komodo-sdk/config');

global.KOMODO_LOG_LABEL = `KOMODO-GW@${config.handler_name || 'ST24'}`;

require('komodo-sdk/api-server');

// const adviceServer = require('komodo-sdk/gateway/advice-push-server');

const pullgw = require('komodo-sdk/gateway/pull');

require('./lib/callback');

const partnerPrepaid = require('./lib/partner');

pullgw.setPartner(partnerPrepaid);

// adviceServer.setPartner(partnerPrepaid);

fs.writeFileSync('pid.txt', process.pid.toString());
