const MODULE_NAME = 'CALLBACK.COMMON-MIDDLEWARE';

const logger = require('tektrans-logger');
const dumper = require('../dumper/callback');

module.exports = (req, res, next) => {
    const { xid } = res.locals;
    logger.info(`${MODULE_NAME} C1BB8552: Got a hit on callback listener`, {
        xid,
        remoteAddress: req.ip,
        httpMethod: req.method,
        url: req.url,
        userAgent: req.get('user-agent'),
        contentType: req.get('content-type'),
    });

    dumper(xid, req);

    next();
};
