const MODULE_NAME = 'DUMPER.INIT';

const fs = require('fs');
const logger = require('../logger');
const vars = require('./vars');

if (!fs.existsSync(vars.baseDumpDir)) {
    logger.verbose(`${MODULE_NAME} 38756EC8: Creating base dump directory`, {
        baseDumpDir: vars.baseDumpDir,
    });

    fs.mkdirSync(vars.baseDumpDir);
}
