/* eslint-disable no-console */
const MODULE_NAME = 'GENERIC-XMLRPC.GET-PARAMS-MEMBERS-OBJ';

const getParamsMembers = require('./get-params-members');

module.exports = (data, isDebug) => {
    const arr = getParamsMembers(data);
    if (!arr) {
        if (isDebug) console.log(`${MODULE_NAME} A2E8ED8E: Undefined getParamsMember result`);
        return null;
    }

    const result = {};
    arr.forEach((item) => {
        result[item.name] = item.value;
    });

    if (isDebug) {
        console.log(`${MODULE_NAME} A393BDE0: Returning result:`);
        console.log(JSON.stringify(result, null, 2));
    }

    return result;
};
